.\" $XFree86$
.\"
.\" Copyright 2004 Red Hat Inc., Durham, North Carolina.
.\" All Rights Reserved.
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining
.\" a copy of this software and associated documentation files (the
.\" "Software"), to deal in the Software without restriction, including
.\" without limitation on the rights to use, copy, modify, merge,
.\" publish, distribute, sublicense, and/or sell copies of the Software,
.\" and to permit persons to whom the Software is furnished to do so,
.\" subject to the following conditions:
.\"
.\" he above copyright notice and this permission notice (including the
.\" next paragraph) shall be included in all copies or substantial
.\" portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
.\" EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
.\" NON-INFRINGEMENT.  IN NO EVENT SHALL RED HAT AND/OR THEIR SUPPLIERS
.\" BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
.\" ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
.\" CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
.\" SOFTWARE.
.TH DMXRemoveInput __libmansuffix__ __vendorversion__
.SH NAME
DMXRemoveInput \- detach an input
.SH SYNOPSIS
.B #include <X11/extensions/dmxext.h>
.sp
.nf
.BI "Bool DMXRemoveInput(Display " *dpy ,
.BI "                    int " id );
.fi
.SH DESCRIPTION
.B DMXRemoveInput()
detaches the input device with
.IR id ,
and all associated inputs (e.g., if the
.I id
is a backend mouse, and a keyboard is also attached to the backend, then
both devices will be detached).
.SH "RETURN VALUE"
.B DMXRemoveInput()
returns
.B True
unless there is a protocol error.
.PP
.B DMXRemoveInput()
can generate
.B BadValue
(if the
.I id
is not valid) and
.B BadAccess
(if the input has already been detached).
.SH "SEE ALSO"
.BR DMXAddInput "(__libmansuffix__), " DMX "(__libmansuffix__), " Xdmx (1)
